[**@rxap/data-source v19.0.2-dev.3**](../README.md)

***

[@rxap/data-source](../globals.md) / DataSourceRefreshToMethodAdapterFactory

# Function: DataSourceRefreshToMethodAdapterFactory()

> **DataSourceRefreshToMethodAdapterFactory**(`dataSource`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/data-source/src/lib/data-source-refresh-to-method-adapter-factory.ts:4](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/data-source/src/lib/data-source-refresh-to-method-adapter-factory.ts#L4)

## Parameters

### dataSource

[`BaseDataSource`](../classes/BaseDataSource.md)\<`unknown`\>

## Returns

`Method`\<`any`, `any`\>
